import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

import React from "react";
import ReactDOM from "react-dom";
import Theme from "./components/Theme";
import DemoSite from "./components/DemoSite";
import DatasetViewer from "./components/DatasetViewer";
import NLPAnnotator from './components/NLPAnnotator';
var labels = [{
  id: "gryffindor",
  displayName: "Gryffindor",
  description: "Daring, strong nerve and chivalry."
}, {
  id: "slytherin",
  displayName: "Slytherin",
  description: "Cunning and ambitious. Possibly dark wizard."
}];

var NLPAnnotatorTest = /*#__PURE__*/function (_React$Component) {
  _inherits(NLPAnnotatorTest, _React$Component);

  var _super = _createSuper(NLPAnnotatorTest);

  function NLPAnnotatorTest() {
    var _this;

    _classCallCheck(this, NLPAnnotatorTest);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));
    _this.state = {
      text: "Harry was an honest to god good man"
    };
    return _this;
  }

  _createClass(NLPAnnotatorTest, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("button", {
        onClick: function onClick() {
          _this2.setState({
            text: 'alex are mere'
          });
        }
      }, " next "), /*#__PURE__*/React.createElement(NLPAnnotator, {
        type: "label-relationships" // labels={labels}
        ,
        multipleLabels: false,
        showHeader: false,
        document: this.state.text,
        onChange: function onChange(output) {
          console.log("Output is...", output);
        },
        entityLabels: labels,
        relationshipLabels: labels,
        initialRelationships: [{
          from: "1cf4577f-e3b8-40ce-8ce7-dd776d57b687",
          to: '0ceb376c-c102-4f49-8bf0-f799f2e732e4',
          label: 'slytherin',
          color: 'blue'
        }],
        initialSequence: [{
          text: 'Cunning',
          label: 'slytherin',
          color: 'red',
          textId: "1cf4577f-e3b8-40ce-8ce7-dd776d57b687"
        }, {
          text: ' ',
          textId: 'myfh40'
        }, {
          text: 'alex',
          label: 'slytherin',
          color: 'blue',
          textId: '0ceb376c-c102-4f49-8bf0-f799f2e732e4'
        }]
      }));
    }
  }]);

  return NLPAnnotatorTest;
}(React.Component);

ReactDOM.render( /*#__PURE__*/React.createElement(Theme, null, window.location.search.includes("load_url") ? /*#__PURE__*/React.createElement(DatasetViewer, null) : /*#__PURE__*/React.createElement(NLPAnnotatorTest, null)), document.getElementById("root"));